<mat-toolbar>Especialidades</mat-toolbar>

<router-outlet ></router-outlet>

<div class="example-container mat-elevation-z8" [hidden]="route.children.length !== 0">    

    <div class="example-header">
        <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Buscar especialidad">
        </mat-form-field>
    </div>

    <mat-table [dataSource]="dataSource" matSort>
        
        <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.idEspecialidad}} </mat-cell>
        </ng-container>
        
        <ng-container matColumnDef="nombre">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.nombre}} </mat-cell>
        </ng-container>
                
        <ng-container matColumnDef="acciones">
            <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
            <mat-cell *matCellDef="let row">
                <button mat-button color="primary" [routerLink]="['edicion', row.idEspecialidad]">Actualizar</button>
                <button mat-button color="accent" (click)="eliminar(row.idEspecialidad)">Eliminar</button>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;">
        </mat-row>
    </mat-table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>

<button mat-fab color="accent" style="float: right; margin-right: 20px" routerLink='/especialidad/nuevo' >
    <mat-icon>create</mat-icon>
</button>